local CQLLOGBTN = CreateFrame("Button", "CQL-Collapse QuestLog", QuestScrollFrame, 'UIPanelButtonTemplate')
--Set frame strata to draw over most other frames
  CQLLOGBTN:SetFrameStrata(HIGH)
  CQLLOGBTN:SetNormalTexture("Interface\\Buttons\\UI-MinusButton-Up")
  
--Make button draggable in the event it is blocking something else
--CQLLOGBTN:SetMovable(true)
--CQLLOGBTN:EnableMouse(true)
--CQLLOGBTN:RegisterForDrag("RightButton")
--CQLLOGBTN:SetScript("OnDragStart", CQLLOGBTN.StartMoving)
--CQLLOGBTN:SetScript("OnDragStop", CQLLOGBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
--SLASH_CQLRESET1 = "/cqlreset"
--SlashCmdList["CQLRESET"] = function() 
--CQLLOGBTN:ClearAllPoints()
--CQLLOGBTN:SetPoint("TOPRIGHT",-25,23)
--print('Collapse QuestLog Button Position Reset')
--end
  
--Set Attributes for button (i.e. size, anchor, text)
  CQLLOGBTN:SetSize(20,20)
  CQLLOGBTN:SetPoint("TOPRIGHT",0,0)
--CQLLOGBTN:SetText('--')

  
--make button work with left click and execute collapse function
  CQLLOGBTN:RegisterForClicks("LeftButtonUp")
  CQLLOGBTN:SetScript("OnClick", function() CollapseQuestHeader(0) end)
  
 
 
 
local CQLTSBTN = CreateFrame("Button", "CQL-Collapse/Expand TradeSkills", TradeSkillFrame, 'UIPanelButtonTemplate')
				
				
--Set frame strata to draw over most other frames
  CQLTSBTN:SetFrameStrata(HIGH)
  CQLTSBTN:SetNormalTexture("Interface\\Buttons\\UI-MinusButton-Up")
  
--Make button draggable in case it is in the way
--CQLTSBTN:SetMovable(true)
--CQLTSBTN:EnableMouse(true)
--CQLTSBTN:RegisterForDrag("RightButton")
--CQLTSBTN:SetScript("OnDragStart", CQLTSBTN.StartMoving)
--CQLTSBTN:SetScript("OnDragStop", CQLTSBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
--SLASH_CQLRESET1 = "/cqltsreset"
--SlashCmdList["CQLTSRESET"] = function() 
--CQLTSBTN:ClearAllPoints()
--CQLTSBTN:SetPoint("TOPRIGHT",-30,0)
--print('Collapse TradeSkill Button Position Reset')
--end
  
--Set Attributes for button (i.e. size, anchor, text)
  CQLTSBTN:SetSize(20,20)
  CQLTSBTN:SetPoint("TOPRIGHT",-40,-20)
--CQLTSBTN:SetText('-')
  
--make button work with left click and execute collapse. two methods:
CQLTSBTN:RegisterForClicks("LeftButtonUp")
--first method, for two seperate buttons. also requires lines for ExpandTSBTN enabled
CQLTSBTN:SetScript("OnClick", function() 
		for _, category in pairs({C_TradeSkillUI.GetCategories()}) 
		do TradeSkillFrame.RecipeList:SetCategoryCollapsed(category, true) 
		end 
	end)
--Second method, single button toggles between collapse and expand. 
--CQLTSBTN:SetScript("OnClick", function(self) 
--	self.CQCollapsed = not self.CQCollapsed
--	self:SetText(self.CQCollapsed and "Expand" or 'Collapse')
--	for _, category in pairs({C_TradeSkillUI.GetCategories()}) do 
--		TradeSkillFrame.RecipeList:SetCategoryCollapsed(category, self.CQCollapsed) 
--	end 
--end)
--CQLTSBTN:SetScript("OnShow", function(self)
--	self.CQCollapsed = nil
--	self:SetText('Collapse')
--end)

--End of Tradeskill button methods.


--Expand QuestLog button
local EXPANDLOGBTN = CreateFrame("Button", "CQL-Expand QuestLog", QuestScrollFrame, 'UIPanelButtonTemplate')
--Set frame strata to draw over most other frames
  EXPANDLOGBTN:SetFrameStrata(HIGH)
  EXPANDLOGBTN:SetNormalTexture("Interface\\Buttons\\UI-PlusButton-Up")
  
--Make button draggable in the event it is blocking something else
--EXPANDLOGBTN:SetMovable(true)
--EXPANDLOGBTN:EnableMouse(true)
--EXPANDLOGBTN:RegisterForDrag("RightButton")
--EXPANDLOGBTN:SetScript("OnDragStart", EXPANDLOGBTN.StartMoving)
--EXPANDLOGBTN:SetScript("OnDragStop", EXPANDLOGBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
--SLASH_CQLRESET1 = "/cqlreset"
--SlashCmdList["CQLRESET"] = function() 
--CQLLOGBTN:ClearAllPoints()
--CQLLOGBTN:SetPoint("TOPRIGHT",-25,23)
--print('Collapse QuestLog Button Position Reset')
--end
  
--Set Attributes for button (i.e. size, anchor, text)
  EXPANDLOGBTN:SetSize(20,20)
  EXPANDLOGBTN:SetPoint("TOPRIGHT",-20,0)
--EXPANDLOGBTN:SetText('+')
  
  
--make button work with left click and execute Expand function
  EXPANDLOGBTN:RegisterForClicks("LeftButtonUp")
  EXPANDLOGBTN:SetScript("OnClick", function() ExpandQuestHeader(0) end)



--Expand TS button (for dual button method)
  
local EXPANDTSBTN = CreateFrame("Button", "Expand Tradeskills", TradeSkillFrame, 'UIPanelButtonTemplate')
				
				
--Set frame strata to draw over most other frames
EXPANDTSBTN:SetFrameStrata(HIGH)
EXPANDTSBTN:SetNormalTexture("Interface\\Buttons\\UI-PlusButton-Up")
  
--Make button draggable in case it is in the way
--EXPANDTSBTN:SetMovable(true)
--EXPANDTSBTN:EnableMouse(true)
--EXPANDTSBTN:RegisterForDrag("RightButton")
--EXPANDTSBTN:SetScript("OnDragStart", EXPANDTSBTN.StartMoving)
--EXPANDTSBTN:SetScript("OnDragStop", EXPANDTSBTN.StopMovingOrSizing)
  
--Slash command to reset position to default
--SLASH_CQLRESET1 = "/cqltsreset"
--SlashCmdList["CQLTSRESET"] = function() 
--EXPANDTSBTN:ClearAllPoints()
--EXPANDTSBTN:SetPoint("TOPRIGHT",-30,0)
--print('Collapse TradeSkill Button Position Reset')
--end
  
--Set Attributes for button (i.e. size, anchor, text)
	EXPANDTSBTN:SetSize(20,20)
	EXPANDTSBTN:SetPoint("TOPRIGHT",-60,-20)
--	EXPANDTSBTN:SetText('+')
  
--make button work with left click and execute Expand
EXPANDTSBTN:RegisterForClicks("LeftButtonUp")
EXPANDTSBTN:SetScript("OnClick", function() 
		for _, category in pairs({C_TradeSkillUI.GetCategories()}) 
		do TradeSkillFrame.RecipeList:SetCategoryCollapsed(category, false) 
		end 
	end)